{% extends 'base.html.twig' %}

{% block title %}UserHasGame index{% endblock %}

{% block body %}
    <h1>UserHasGame index</h1>

    <form action="" method="get">
        <label for="selectPlat">Select platform</label>
        <select name="platform" id="selectPlat">
            <option value="all">All</option>
        {% for platform in platforms %}
            <option value="{{ platform.namePlat }}">{{ platform.namePlat }}</option>
        {% endfor %}
        </select>
        <br>
        <label for="selectType">Select Type</label>
        <select name="type" id="selectType">
            <option value="all">All</option>
        {% for type in types %}
            <option value="{{ type.titleType }}">{{ type.titleType }}</option>
        {% endfor %}
        </select>
        <br>
        <input type="radio" name="order" id="radio" value="ASC"> <label for="order">title asc</label>
        <input type="radio" name="order" id="radio" value="DESC"> <label for="order">title desc</label>
        <br>
        <input type="submit" value="Send">
    </form>

    <table class="table">
        <thead>
            <tr>
                <th>Title Game</th>
                <th>game Cover</th>
                <th>Owned_at</th>
                <th>Type</th>
                <th>Platform</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for user_has_game in user_has_games %}
            <tr>
                <td>{{ user_has_game.game.titlegame }}</td>
                <td class="mdl-data-table__cell--non-numeric"><img class="logoPlatform" src="../uploads/image/{{ user_has_game.game.gameCover }}" alt=""></td>
                <td>{{ user_has_game.ownedAt ? user_has_game.ownedAt|date('Y-m-d H:i:s') : '' }}</td>
                <td>
                    {% for type in user_has_game.game.type %}
                        {{ type.titleType}}
                    {% endfor %}
                </td>
                <td>
                    {% for plat in user_has_game.platform %}
                        {{ plat.namePlat}}
                    {% endfor %}
                </td>
                <td>
                    <a href="{{ path('user_has_game_show', {'id': user_has_game.id}) }}">show</a>
                    <a href="{{ path('user_has_game_edit', {'id': user_has_game.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="3">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('user_has_game_new') }}">Create new</a>
{% endblock %}
